Subject: Re: [git-users] Re: how to get the formated patches from the merge id

From: Vincent van Ravesteijn <[email-masked]>
Date: Fri, 15 Jun 2012 15:11:59 +0200

Op 15-6-2012 14:56, lei yang schreef:
> On Fri, Jun 15, 2012 at 7:59 PM, Vincent van Ravesteijn<[email-masked]>  wrote:
>> It is still not clear what you want to accomplish.
>>
>> Your proposal: "git format-patch b724cc1..51bfd29" only gives you the
>> commits that were in the branch 51bfd29 that weren't yet in the branch
>> b724cc1. This just reflect the commits of one of the branches, but not the
>> "work done by the merge commit".
>>
>
> but,git format-patch b724cc1..51bfd29 do the same work as what you
> said "git format-patch 0e93b4b3^1..0e93b4b3^2"

Yes, that's why I said "If this is _really_ what you want, you can do ...".

> and I don't understand what you
> said "branch 51bfd29",51bfd29 is not the branch

I assumed that the merge commit, merged two branches, but I have no clue 
how they were named. That's why I refer to the branch as the branch 
which had 51bfd29 as the last commit before the merge.

Vincent